/**
 * ParserUtil.java
 * eu.gronos.kostenrechner.util (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.io.File;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.controller.files.VerfahrensDatenContainerUtil;
import eu.gronos.kostenrechner.controller.files.XmlTransferHandler;

/**
 * Die Klasse stellt Methoden bereit, um die Programmparameter zu parsen
 *
 * @author Peter Schuster (setrok)
 * @version
 * @date 06.09.2018
 *
 */
public class ParserHilfe {

	/**
	 * Konstruktor: TODO
	 * 
	 */
	public ParserHilfe() {
		// TODO Auto-generated constructor stub
	}

	/**
	 * Die Methode prüft, ob eine Xjustiz-XML-Datei als Parameter zum Programmaufruf
	 * angegeben wurde oder eine Berechnungs-SKKTX-Datei
	 * 
	 * @param args der String[] mit den Aufrufparametern aus
	 *             {@link Kostenrechner#main(String[]) main}
	 * @return eine Datei
	 */
	public File parseDateiname(String[] args) {
		for (int i = 0; i < args.length; i++) {
			File datei = null;
			datei = new File(args[i]);
			/* Prüfen nach Endung XML oder SKKTX */
			if (datei.getName().toLowerCase().contains(XmlTransferHandler.XML_SUFFIX)
					|| datei.getName().toLowerCase().contains(VerfahrensDatenContainerUtil.DATEIENDUNG_GANZ)) {
				if (datei.exists())
					return datei;
			} else {
				datei = new File(args[i] + VerfahrensDatenContainerUtil.DATEIENDUNG_GANZ);
				if (datei.exists())
					return datei;
				datei = new File(args[i] + XmlTransferHandler.XML_SUFFIX);
				if (datei.exists())
					return datei;
			}
		}
		return null;
	}

	/**
	 * Die Methode prüft, ob das das Programm mit Schalter -debug aufgerufen wurde.
	 * 
	 * @param args der String[] mit den Aufrufparametern aus
	 *             {@link Kostenrechner#main(String[]) main}
	 * @return true, wenn debug
	 */
	public boolean parseDebug(final String[] args) {
		if (args != null && args.length > 0)
			for (String s : args) {
				if ("-debug".equalsIgnoreCase(s)) {
					Kostenrechner.getLogger().info("Debug aktiviert!");
					return true;
				}
			}
		return false;
	}

}
