/**
 * SchreibeEmailXml.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.controller.VerfahrensDatenContainer;

/**
 * emailSchreibenXML lässt eine Beschwerde-E-Mail im Standard-E-Mail-Client über
 * {@link TenorUtils.emailSchreiben(String, String)} schreiben. Dabei werden
 * XML-Daten mitgeschickt. {@link KeyEvent.VK_T}
 *
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class SchreibeEmailXml extends BeschriebeneAktion {
	private static final long serialVersionUID = -4300105137631815898L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 */
	public SchreibeEmailXml(String name, String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		final VerfahrensDatenContainer container = new VerfahrensDatenContainer2GUI().leseAlleWertefuerContainer();
		final String subject = "Fehlverhalten in kostentenor.de " + Kostenrechner.KOSTENRECHNER_VERSION;
		// Wäre schön, wenn noch XML-Daten mitgeschickt würden.
		final String xmlString = new BerechnungXmlDatei().toXmlString(container);
		final String body = "Wenn mit den eingegebenen Daten ein Fehler aufgetreten sein sollte, beschreiben Sie das Fehlverhalten des Programms bitte!\n\n"
				+ xmlString;
		EmailUtils.emailSchreiben(subject, body);
	}
}