/**
 * GebuehrenNormalAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.gebuehren;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.view.gebuehren.GebuehrenBerechnungPanel;

/**
 * normaleGebuehren leert die Tabelle mit den Gebührentatbeständen des Rechners
 * und füllt sie mit der Konstellation und füllt sie mit der Konstellation eines
 * normalen erstinstanzlichen Verfahrens {@link KeyEvent#VK_UNDEFINED}
 *
 * Der AbstractAction mit dem Namen standardSzenario leert die Tabelle mit den
 * Gebührentatbeständen des Rechners und füllt sie mit der Konstellation
 * Gebühren bei Anerkenntnis. {@link KeyEvent#VK_G}
 * 
 * Der AbstractAction mit dem Namen standardSzenario leert die Tabelle mit den
 * Gebührentatbeständen des Rechners und füllt sie mit der Konstellation
 * Gebühren bei Säumnis. {@link KeyEvent#VK_S}
 * 
 * mitInstanzGebuehren leert die Tabelle mit den Gebührentatbeständen des
 * Rechners und füllt sie mit der Konstellation und füllt sie mit der
 * Konstellation eines normalen erstinstanzlichen Verfahrens mit anschließender
 * Berufung {@link KeyEvent#VK_UNDEFINED}
 * 
 * @author Peter Schuster (setrok)
 * @date 04.11.2018
 *
 */
public class GebuehrenSetzeRechnerTabelleAction extends BeschriebeneAktion {
	/**
	 * panel speichert TODO (kommentieren) als GebuehrenNormalAction.
	 */
	private final GebuehrenBerechnungPanel panel;
	private static final long serialVersionUID = 5567272748853539208L;
	private int key;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param panel            TODO
	 * @param key              ein int,
	 *                         {@link GebuehrenBerechnungPanel#GEBUEHREN_ANERKENNTNIS},
	 *                         {@link GebuehrenBerechnungPanel#GEBUEHREN_SAEUMNIS},
	 *                         {@link GebuehrenBerechnungPanel#GEBUEHREN_STANDARD}
	 *                         oder
	 *                         {@link GebuehrenBerechnungPanel#GEBUEHREN_2INSTANZ}
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 */
	public GebuehrenSetzeRechnerTabelleAction(GebuehrenBerechnungPanel panel, int key, String name,
			String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		this.panel = panel;
		this.key = key;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		panel.setzeGebuehrenRechnerTabelle(key);
		panel.getKostenrechner().getTabbedPane().setSelectedIndex(3);
	}
}