/**
 * TeilklageruecknahmeQuotenAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.gebuehren;

import java.awt.event.ActionEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.controller.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.controller.files.VerfahrensDatenContainer2GUI;
import eu.gronos.kostenrechner.logic.gebuehren.QuotenMethode;
import eu.gronos.kostenrechner.view.gebuehren.TeilklageruecknahmePanel;
import eu.gronos.kostenrechner.view.helpanderror.FehlerDialog;
import eu.gronos.kostenrechner.view.result.TenorDialog;

/**
 * Der AbstractAction mit dem Namen berechneQuotenMethode erzeugt den
 * Kostentenor nach der Quotenmethode
 *
 */
public class TeilklageQuotenAction extends BeschriebeneAktion {
	private final TeilklageruecknahmePanel panel;
	private static final long serialVersionUID = -7701909446599455048L;

	/**
	 * Konstruktor: TODO  (kommentieren) 
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param teilklageruecknahmePanel TODO
	 */
	public TeilklageQuotenAction(TeilklageruecknahmePanel teilklageruecknahmePanel, String name, String shortDescription, int mnemonic,
			String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		panel = teilklageruecknahmePanel;
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		if (!panel.pruefeGebuehrenTabellen()) {
			Throwable e = new IllegalArgumentException(TeilklageruecknahmePanel.FEHLER_KEINE_GEBUEHREN_LANG);
			new FehlerDialog(TeilklageruecknahmePanel.FEHLER_KEINE_GEBUEHREN, e.getLocalizedMessage(), e).showDialog();
			return;
		}
		final VerfahrensDatenContainer container = new VerfahrensDatenContainer2GUI().leseAlleWertefuerContainer();
		new TenorDialog(panel.getKostenrechner(),
				new QuotenMethode(container.allgemein, container.teilklageruecknahme).erzeugeContainer(), container)
						.showDialog();
	}
}