/**
 * TeilklageRuecknahmeVerschiebenAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.gebuehren;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.view.gebuehren.TeilklageruecknahmePanel;

/**
 * Der AbstractAction mit dem Namen gebuehrenTbVerschiebenAction entfernt den
 * markierten Eintrag aus dieser Tabelle und fügt ihn der jeweils anderen hinzu.
 * Soll ins Kontextmenü. {@link KeyEvent#VK_T}
 *
 */
public class TeilklageVerschiebenAction extends BeschriebeneAktion {
	/**
	 * panel speichert TODO (kommentieren) als TeilklageRuecknahmeVerschiebenAction.
	 */
	private final TeilklageruecknahmePanel panel;
	private static final long serialVersionUID = 2748367225462023438L;

	/**
	 * Konstruktor: TODO  (kommentieren) 
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param panel TODO
	 */
	public TeilklageVerschiebenAction(TeilklageruecknahmePanel panel, String name, String shortDescription, int mnemonic,
			String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		this.panel = panel;
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		Object o = ae.getSource();
		if (!(o instanceof JMenuItem)) {
			return;
		}
		// Herausfinden, welche Tabelle ruft
		JPopupMenu popup = (JPopupMenu) ((JMenuItem) o).getParent();
		if (popup.getLabel() == TeilklageruecknahmePanel.VORHER_POPUPLABEL)
			panel.verschiebeGebuehrenTatbestand(panel.tabVorher, panel.tabNachher);
		if (popup.getLabel() == TeilklageruecknahmePanel.NACHHER_POPUPLABEL)
			panel.verschiebeGebuehrenTatbestand(panel.tabNachher, panel.tabVorher);
	}
}