/**
 * RtfFileChooser.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.view.result;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

import eu.gronos.kostenrechner.controller.files.RtfFileFilter;

/**
 * Die Klasse dient dazu, einen JFileChooser zu erzeugen, der fürs Speichern von
 * RTF-Dateien vorkonfiguriert ist.
 *
 * @author Peter Schuster (setrok)
 * @date 15.08.2018
 *
 */
public final class RtfFileChooser extends JFileChooser {

	private static final long serialVersionUID = 7035952805812018973L;
	private static final FileFilter RTF_FILTER = new RtfFileFilter();

	/**
	 * Erzeugt einen JFileChooser, der fürs Speichern von RTF-Dateien
	 * vorkonfiguriert ist.
	 * 
	 */
	public RtfFileChooser() {
		JFileChooser dateiAuswahl = new JFileChooser();
		dateiAuswahl.setMultiSelectionEnabled(false);
		dateiAuswahl.setDialogTitle("Tenor als RTF-Datei speichern...");
		dateiAuswahl.addChoosableFileFilter(RTF_FILTER);
		dateiAuswahl.setFileFilter(RTF_FILTER);
		dateiAuswahl.setAcceptAllFileFilterUsed(false);
		dateiAuswahl.setSelectedFile(new File("tenor" + RtfFileFilter.RTF_EXTENSION));
	}

}
